> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/avalanche/p-chain/platform.getpendingvalidators.md).

# platform.getPendingValidators

List the validators in the pending validator set of the specified Subnet. Each validator is not currently validating the Subnet but will in the future.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## Reference: [Here](https://docs.avax.network/reference/avalanchego/p-chain/api#platformgetpendingvalidators)

## **Parameters**

* `nodeIDs` - \[]string - (optional) a list of the nodeIDs of pending validators to request. If omitted, all pending validators are returned. If a specified nodeID is not in the set of pending validators, it will not be included in the response.
* `subnetID` (optional) The subnet whose current validators are returned. If omitted, returns the current validators of the Primary Network.

## Returns

* `delegators` - object
  * `txID` - string - the validator transaction.
  * `startTime` - string - the Unix time when the validator starts.
  * `endTime` - string - the Unix time when the validator stops.
  * `stakeAmount` - string - (optional) the amount of nAVAX this validator staked. Omitted if subnetID is not the Primary Network.
  * `nodeID` - string - (optional) the validating node’s node ID.
* validators - object
  * weight - string - (optional) the validator’s weight when sampling validators. Omitted if subnetID is the Primary Network.
  * connected - bool - (optional) if the node is connected.
  * nodeID - string - (optional) the validator’s node ID.
  * stakeAmount - string - (optional) the amount of nAVAX this validator staked. Omitted if subnetID is not the Primary Network.
  * endTime - string - the Unix time when the validator stops validating the Subnet.
  * startTime - string - the Unix time when the validator starts validating the Subnet.
  * txID - string - the validator transaction.

```json
// Result
{
  "jsonrpc": "2.0",
  "result": {
    "validators": [
      {
        "txID": "2NNkpYTGfTFLSGXJcHtVv6drwVU2cczhmjK2uhvwDyxwsjzZMm",
        "startTime": "1600368632",
        "endTime": "1602960455",
        "stakeAmount": "200000000000",
        "nodeID": "NodeID-5mb46qkSBj81k9g9e4VFjGGSbaaSLFRzD",
        "delegationFee": "10.0000",
        "connected": false
      }
    ],
    "delegators": [
      {
        "txID": "Bbai8nzGVcyn2VmeYcbS74zfjJLjDacGNVuzuvAQkHn1uWfoV",
        "startTime": "1600368523",
        "endTime": "1602960342",
        "stakeAmount": "20000000000",
        "nodeID": "NodeID-7Xhw2mDxuDS44j42TCB6U5579esbSt3Lg"
      }
    ]
  },
  "id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/P \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc": "2.0",
    "method": "platform.getPendingValidators",
    "params": {},
    "id": 1
}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/P \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc": "2.0",
    "method": "platform.getPendingValidators",
    "params": {},
    "id": 1
}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/avalanche/p-chain/platform.getpendingvalidators.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
